Metacat - Task #7095

Improve error message for: User tried to update an access module when they dont have ‘ALL’
permission!”

08/26/2016 04:14 PM - Bryce Mecum

Status: Closed Start date: 08/26/2016
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.8.0 Spent time: 0.00 hour
Description

We get this error all the time when doing various (apparently illegal) operations:

User tried to update an access module when they dont have ‘ALL’ permission!"
Is there an easy way for this error message to become more useful? It's a message that gets leaked out to non-developer users and |
would argue that it's a confusing error message that doesn't give enough information for the user to fix it.

It could be improved if it said which access module was the culprit and which object(s) was trying to assert access over.

History

#1 - 08/26/2016 04:30 PM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.8.0

Did a globe search and found the message is in the EmI200SAXHandler and EmI201SAXHandler classes.

#2 - 10/13/2016 02:12 PM - Jing Tao

- Status changed from New to Closed

Add more debug statement for the message.
